Package org.eclipse.launchbar.core

# Class DefaultLaunchDescriptor

java.lang.Object
org.eclipse.core.runtime.PlatformObject
org.eclipse.launchbar.core.DefaultLaunchDescriptor

All Implemented Interfaces:
  `org.eclipse.core.runtime.IAdaptable`, `ILaunchDescriptor`

public class DefaultLaunchDescriptor extends org.eclipse.core.runtime.PlatformObject implements ILaunchDescriptor
A special launch descriptor that managed configurations that aren't owned by other descriptors.

Since:
  2.3

## Constructor Summary

Constructors
Constructor
Description
`DefaultLaunchDescriptor(ILaunchDescriptorType type, org.eclipse.debug.core.ILaunchConfiguration configuration)`

## Method Summary

Modifier and Type
Method
Description
`<T> T`
`getAdapter(Class<T> adapter)`
`String`
`getName()`
Name to show in the launch descriptor selector.
`ILaunchDescriptorType`
`getType()`
The type of launch descriptor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DefaultLaunchDescriptor

public DefaultLaunchDescriptor(ILaunchDescriptorType type, org.eclipse.debug.core.ILaunchConfiguration configuration)

## Method Details

### getAdapter

public <T> T getAdapter(Class<T> adapter)

Specified by:
  `getAdapter` in interface `org.eclipse.core.runtime.IAdaptable`
Overrides:
  `getAdapter` in class `org.eclipse.core.runtime.PlatformObject`

### getName

public String getName()
Description copied from interface: `ILaunchDescriptor`
Name to show in the launch descriptor selector. Names must be unique for all descriptors of a given type.

Specified by:
  `getName` in interface `ILaunchDescriptor`
Returns:
  name of the launch descriptor

### getType

public ILaunchDescriptorType getType()
Description copied from interface: `ILaunchDescriptor`
The type of launch descriptor.

Specified by:
  `getType` in interface `ILaunchDescriptor`
Returns:
  provider